<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:20 PST 2021 -->
<title>FeedParser (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FeedParser (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FeedParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/feed/FeedParser.html" target="_top">Frames</a></li>
<li><a href="FeedParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.parse.feed</div>
<h2 title="Class FeedParser" class="title">Class FeedParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.parse.feed.FeedParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse">Parser</a>, <a href="../../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FeedParser</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse">Parser</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>NUTCH-444
 
        <p>
        A new RSS/ATOM Feed<a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a> that rapidly parses all referenced
        links and content present in the feed.
        </p></dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>dogacan, mattmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#CHARSET_UTF8">CHARSET_UTF8</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#TEXT_PLAIN_CONTENT_TYPE">TEXT_PLAIN_CONTENT_TYPE</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.parse.Parser">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.parse.<a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse">Parser</a></h3>
<code><a href="../../../../../org/apache/nutch/parse/Parser.html#X_POINT_ID">X_POINT_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#FeedParser--">FeedParser</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#getConf--">getConf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></span>(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>
<div class="block">Parses the given feed and extracts out and parsers all linked items within
 the feed, using the underlying ROME feed parsing library.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#main-java.lang.String:A-">main</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>
<div class="block">Runs a command line version of this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/parse/feed/FeedParser.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>
<div class="block">Sets the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object for this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CHARSET_UTF8">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHARSET_UTF8</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CHARSET_UTF8</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.parse.feed.FeedParser.CHARSET_UTF8">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TEXT_PLAIN_CONTENT_TYPE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEXT_PLAIN_CONTENT_TYPE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEXT_PLAIN_CONTENT_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.parse.feed.FeedParser.TEXT_PLAIN_CONTENT_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FeedParser--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FeedParser</h4>
<pre>public&nbsp;FeedParser()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParse-org.apache.nutch.protocol.Content-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParse</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse">ParseResult</a>&nbsp;getParse(<a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</pre>
<div class="block">Parses the given feed and extracts out and parsers all linked items within
 the feed, using the underlying ROME feed parsing library.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/parse/Parser.html#getParse-org.apache.nutch.protocol.Content-">getParse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse">Parser</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>content</code> - A <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> object representing the feed that is being
          parsed by this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <a href="../../../../../org/apache/nutch/parse/ParseResult.html" title="class in org.apache.nutch.parse"><code>ParseResult</code></a> containing all <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse"><code>Parse</code></a>d feeds that were
         present in the feed file that this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a> dealt with.</dd>
</dl>
</li>
</ul>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<div class="block">Sets the <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object for this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>. This
 <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a> expects the following configuration properties to be set:
 
 <ul>
 <li>URLNormalizers - properties in the configuration object to set up the
 default url normalizers.</li>
 <li>URLFilters - properties in the configuration object to set up the
 default url filters.</li>
 </ul></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>conf</code> - The Hadoop <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object to use to configure this
          <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;getConf()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.conf">getConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><code>Configuration</code></a> object used to configure this
         <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<div class="block">Runs a command line version of this <a href="../../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse"><code>Parser</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - A single argument (expected at arg[0]) representing a path on the
          local filesystem that points to a feed file.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code> - If any error occurs.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FeedParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/parse/feed/FeedParser.html" target="_top">Frames</a></li>
<li><a href="FeedParser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
